﻿Imports System.ComponentModel

Partial Class DataGridViewDragAndDrop

    'Private _BindingSource As BindingSource
    '<Category("Data")>
    '<Description("")>
    'Public Property BindingSource As BindingSource
    '    Get
    '        Return _BindingSource
    '    End Get
    '    Set(value As BindingSource)
    '        _BindingSource = value
    '        DataSource = _BindingSource
    '    End Set
    'End Property

    <Category("Verhalten")>
    <Description("Drag and drop rows to change order.")>
    <DefaultValue(True)>
    Public _DragAndDrop As Boolean
    Public Property DragAndDrop As Boolean
        Get
            Return _DragAndDrop
        End Get
        Set(value As Boolean)
            _DragAndDrop = value
            AllowDrop = _DragAndDrop
        End Set
    End Property

    Private _ShowRowNumbers As Boolean = False
    <Category("Darstellung")>
    <Description("Show row numbers in 'RowHeader'.")>
    <DefaultValue(True)>
    Public Property ShowRowNumbers() As Boolean
        Get
            Return _ShowRowNumbers
        End Get
        Set(value As Boolean)
            _ShowRowNumbers = value
            If _ShowRowNumbers Then
                RowHeadersDefaultCellStyle.Padding = New Padding(3)
                RowHeadersDefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter
                RowHeadersDefaultCellStyle.WrapMode = DataGridViewTriState.True
            Else
                RowHeadersDefaultCellStyle.Padding = New Padding(0)
                RowHeadersDefaultCellStyle.Alignment = DataGridViewContentAlignment.NotSet
                RowHeadersDefaultCellStyle.WrapMode = DataGridViewTriState.NotSet
            End If
        End Set

    End Property

End Class