﻿Public Class FormMain

    Private ReadOnly Randomize As New Random()

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        SetDataGridViewRowNumbersMain()
    End Sub

    Private Sub DataGridViewDragAndDropMainDeselectAllRows()
        For Each row As DataGridViewRow In DataGridViewDragAndDropMain.Rows
            row.Selected = False
        Next
    End Sub

    Private Sub ToolStripButtonAddRow_Click(sender As Object, e As EventArgs) Handles ToolStripButtonAddRow.Click
        DataSetMain1.DataTableMain.AddDataTableMainRow($"Test-{Randomize.Next(1000, 10001)}", "Test", Randomize.Next(1000, 10001))
        DataGridViewDragAndDropMainDeselectAllRows()
        DataGridViewDragAndDropMain.Rows(DataGridViewDragAndDropMain.Rows.Count - 1).Selected = True
    End Sub

    Private Sub ToolStripButtonRemoveRows_Click(sender As Object, e As EventArgs) Handles ToolStripButtonRemoveSelectedRows.Click
        For Each row As DataGridViewRow In DataGridViewDragAndDropMain.SelectedRows
            DataSetMain1.DataTableMain.Rows.RemoveAt(row.Index)
        Next
    End Sub

    Private Sub ToolStripButtonDeselectAllRows_Click(sender As Object, e As EventArgs) Handles ToolStripButtonDeselectAllRows.Click
        DataGridViewDragAndDropMainDeselectAllRows()
    End Sub

    Private Sub SetDataGridViewRowNumbersMain()
        With DataGridViewDragAndDropMain
            .SelectionMode = DataGridViewSelectionMode.FullRowSelect
            With .Columns(0)
                .HeaderText = "Test1"
                .AutoSizeMode = DataGridViewAutoSizeColumnMode.AllCells
            End With
            With .Columns(1)
                .HeaderText = "Test2"
                .AutoSizeMode = DataGridViewAutoSizeColumnMode.AllCells
            End With
            With .Columns(2)
                .HeaderText = "Test3"
                .AutoSizeMode = DataGridViewAutoSizeColumnMode.Fill
            End With
        End With
    End Sub

End Class